%global pname   xmltv4vdr

# https://github.com/FireFlyVDR/vdr-plugin-xmltv4vdr/commit/823f84ba0d40aa0dd00d072c56071e943e98c058
%global commit0 823f84ba0d40aa0dd00d072c56071e943e98c058
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global gitdate 20240716


%global __provides_exclude_from ^%{vdr_plugindir}/.*\\.so.*$
# version we want build against
%global vdr_version 2.6.3
%if 0%{?fedora} >= 40
%global vdr_version 2.6.9
%endif

Name:           vdr-xmltv4vdr
Version:        0.4.3
Release:        0.4.4%{gitdate}git%{shortcommit0}%{?dist}
# Release:        1%%{?dist}
Summary:        XMLTV grabber plugin for VDR

License:        GPL-3.0-or-later
URL:            https://github.com/FireFlyVDR/vdr-plugin-xmltv4vdr
Source0:        %url/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
#Source0:        %%{url}/archive/refs/tags/v%%{version}-Beta.tar.gz#/%%{name}-%%{version}-Beta.tar.gz

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libsqlite3x)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  gettext
BuildRequires:  vdr-devel >= %{vdr_version}
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description
XMLTV grabber plugin for VDR.

%prep
%autosetup -n vdr-plugin-%{pname}-%{commit0}
# vdr-plugin-xmltv4vdr-f2fe2cc043a494d2ef4cab50755c61b2b4de5515
#%%autosetup -n vdr-plugin-%%{pname}-%%{version}-Beta
#sed -i -e 's|xmlErrorPtr xmlErr = xmlGetLastError();|const xmlError* xmlErr = xmlGetLastError();|' source.cpp

%build
%make_build

%install
%make_install

install -Dpm 644 50-xmltv4vdr.conf \
  %{buildroot}%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{vdr_plugindir}/libvdr-%{pname}.so.%{vdr_apiversion}

%changelog
* Mon Jul 15 2024 Martin Gansser <martinkg@fedoraproject.org> - 0.4.3-1
- Initial package
